Get Repository Issue Comment
GET/api/v5/repos/:owner/:repo/issues/comments/:id
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
id stringrequired
Comment ID
Query Parameters
access_token string
User authorization code
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
idinteger
bodystring
comment_typestring
user object
idstring
loginstring
namestring
typestring
target object
issue object
idinteger
titlestring
numberstring
created_atstring
updated_atstring
{
"id": 0,
"body": "string",
"comment_type": "string",
"user": {
"id": "string",
"login": "string",
"name": "string",
"type": "string"
},
"target": {
"issue": {
"id": 0,
"title": "string",
"number": "string"
}
},
"created_at": "string",
"updated_at": "string"
}
{
"id": 1495484,
"body": "test issue comment",
"comment_type": "DiscussionNote",
"user": {
"id": "268",
"login": "dengmengmian",
"name": "Mavan",
"type": "User"
},
"target": {
"issue": {
"id": 494561,
"title": "test issue comment",
"number": "494561"
}
},
"created_at": "2024-10-08T19:52:19+08:00",
"updated_at": "2024-10-08T19:52:19+08:00"
}